<?php
namespace Vitrium\Drm\VitriumClasses;

// Class used for Vitrium login
class ChallengeContext implements \JsonSerializable {
    private $clientNonce;   // client nonce; generated GUID

    public function __construct(\Vitrium\Drm\Helper\Data $helper) {
        $this->clientNonce = $helper->createGuid();
    }

    public function getClientNonce() {
        return $this->clientNonce;
    }

    public function jsonSerialize() {
        return [
            'ClientNonce' => $this->clientNonce
        ];
    }
}
